********************************************************************************
** Digitalization and Inclusive Growth *****************************************
** Figure 1 ********************************************************************
********************************************************************************

clear all
set more off

** Graph schemes
set scheme s2color
graph set window fontface Arial

** Load data (downloaded August 2024)
import delimited using "$input_data\EU_data.csv", varn(1) clear

** Simplify data for graph
keep if sector=="All activities" | (sector=="Manufacturing" & (variable=="Robotics" | variable=="3D printing"))
drop if sector=="All activities" & (variable=="Robotics" | variable=="3D printing")


** Create graph ****************************************************************
gen order = -value
graph bar value, over(variable,  label(labsize(medlarge) angle(90)) sort(order) relabel(5 `""Internet" "access""' 4 `""E-commerce" "sales""')) bar(1, color("0 35 69")) nofill ytitle("Percent of firms", size(medlarge)) ylabel(0(20)100, nogrid labsize(medlarge)) graphregion(color(white)) 

	graph export "$output_figure\\Figure1_digital_adoption_EU.pdf", replace
	graph export "$output_figure\\Figure1_digital_adoption_EU.emf", replace

